# Generated by Django 5.2b1 on 2025-03-11 16:22

import django.db.models.deletion
import uuid6
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TZAbbreviation',
            fields=[
                ('uuid_pk_v7', models.UUIDField(default=uuid6.uuid7, editable=False, primary_key=True, serialize=False)),
                ('abbr', models.CharField(help_text='CEST', max_length=4, unique=True)),
                ('identifier', models.CharField(help_text='Central European Summer Time', max_length=30, unique=True)),
                ('offset', models.CharField(help_text='+02:00', max_length=6)),
            ],
            options={
                'ordering': ['offset'],
            },
        ),
        migrations.CreateModel(
            name='TimeZone',
            fields=[
                ('uuid_pk_v7', models.UUIDField(default=uuid6.uuid7, editable=False, primary_key=True, serialize=False)),
                ('identifier', models.CharField(help_text='America/New_York', max_length=20, unique=True)),
                ('tz_type', models.PositiveSmallIntegerField(choices=[(1, 'canonical'), (2, 'link (alias)'), (3, 'link, previously canonical')], default=1)),
                ('src_file', models.PositiveSmallIntegerField(choices=[(1, 'factory'), (2, 'etcetera'), (3, 'backward'), (4, 'europe'), (5, 'asia'), (6, 'australasia'), (7, 'northamerica'), (8, 'southamerica'), (9, 'africa'), (10, 'antarctica')], default=7)),
                ('aliases', models.CharField(blank=True, help_text='US/Eastern, EST5EDT', max_length=30, null=True, unique=True)),
                ('dst', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='rn_tz_abbr_dst', to='vto_geodat.tzabbreviation')),
                ('std', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='rn_tz_abbr_std', to='vto_geodat.tzabbreviation')),
            ],
            options={
                'ordering': ['identifier'],
            },
        ),
    ]
